<?php
$body = '<div class="row">'
    .'<div class="col-md-12">'
        . $this->WebcilForm->inputs([
            'libelle' => [
                'class' => 'form-control',
                'placeholder' => __d('formulaire', 'formulaire.popupPlaceholderNomFormulaire'),
                'label' => [
                    'text' => __d('formulaire', 'formulaire.popupNomFormulaire'),
                ],
                'required' => true
            ],
            'rt_externe' => [
                'label' => [
                    'text' => __d('formulaire', 'formulaire.popupChampRt'),
                ],
                'required' => true,
                'class' => 'form-control usersDeroulant',
                'options' => [
                    false => 'Non',
                    true => 'Oui'
                ],
                'default' => false
            ],
            'description' => [
                'type' => 'textarea',
                'class' => 'form-control',
                'placeholder' => __d('formulaire', 'formulaire.popupPlaceholderDescription'),
                'label' => [
                    'text' => __d('formulaire', 'formulaire.popupDescription'),
                ],
                'required' => false
            ]
        ])
    .'</div>'
.'</div>';

$footer = '<div class="buttons">'
        . $this->WebcilForm->button("<i class='fa fa-times-circle fa-lg'></i>" . __d('default', 'default.btnAnnuler'), [
            'type' => 'submit',
            'data-dismiss' => 'modal',
            'class' => 'btn btn-outline-primary',
            'escape' => false,
        ])
        . $this->WebcilForm->button("<i class='far fa-save fa-lg fa-lg'></i>" . __d('default', 'default.btnEnregistrer'), [
            'type' => 'submit',
            'class' => 'btn btn-primary',
            'escape' => false
        ])
    .'</div>'
;

//$footer = $this->WebcilForm->buttons(['Cancel', 'Save']);

$content = [
    'title' => __d('formulaire', 'formulaire.popupInfoGeneraleFormulaire'),
    'body' => $body,
    'footer' => $footer,
];

echo $this->element('modal', [
    'modalId' => 'modalAddForm',
    'controller' => 'Formulaire',
    'action' => 'addFirst',
    'content' => $content
]);
